Subject: Re: [Qirg] New paper related to our I-D

From: kaaki <[email-masked]>
Date: Thu, 2 May 2019 11:06:45 +0900

Hi Patrick.

Thank you very much for pointing out important issues.

1/ Tearing down a request should not be too hard.
As mentioned in our paper, a connection has a unique RuleSet identifier.
The source can send a tear down request to involving nodes, attaching the id.

2/ This is a very important question, but I think you are right.
(Details must be discussed a little bit more.)
For example, a connection over a path, with a node failing in the middle, will eventually terminate due to time out.
The link up/down status can be tracked by each node via real time channel monitoring.
The link status can be shared across the network and the routing table will be adjusted.

3/ The point of the RuleSet-based communication protocol is to allow actions,
including simultaneous entanglement swapping, followed by a well described condition.
However, I agree that our current version of the protocol isn't flexible enough to accomplish that smoothly,
mainly because resources goes through every Rule, from top to bottom.
What Rod had in his mind was something more dynamic, and we will continue discussing/improving the protocol
Ideas/comments/thoughts are welcomed!

Thanks again.

Takaaki

On 2019/04/30 22:05, Gelard Patrick wrote:
> Hi Takaaki,
>
> Very interesting paper.
>
> A few brief remarks after a quick reading of the document :
>
> 1/ it is mentioned the connect request, but not the tear down request.
> 2/ should not a re-routing process be taken into account in case of failures of one of the network elements involved in the entanglement swapping ? Or the process is a tear down following with a new connect request ?
> 3/ in the paragraph "B - data link protocol" it is mentioned the need for clock synchronization, even if the mechanism is not specified. Is there not also a need for distributed process synchronization (i.e Synchronization in distributed systems) to allow simultaneous swapping, for example ?
>
> it is a document that needs to be read in more depth.
>
> Thank
> /Patrick
>
> -----Message d'origine-----
> De : Qirg <[email-masked]> De la part de kaaki
> Envoyé : vendredi 19 avril 2019 13:03
> À : [email-masked]
> Cc : Rodney Van Meter <[email-masked]>
> Objet : [Qirg] New paper related to our I-D
>
> Hi all,
>
> We (Clement, Rod and I) have uploaded a new paper ”Quantum link bootstrapping using a RuleSet-based communication protocol”
> to Arxiv yesterday.
> This is somewhat related to the I-D we have submitted a couple of weeks ago.
> If any, we would love to hear comments from you all.
>
> (The paper is not yer peer reviewed, and is a part of our long-term project of simulating the quantum Internet.)
>
> Our new paper: https://arxiv.org/abs/1904.08605
> I-D:
> https://datatracker.ietf.org/doc/draft-van-meter-qirg-quantum-connection-setup/
>
> Sincerely,
> Takaaki
>
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg